usb_endpoint_dir_out
Prev | Chapter 4. Host-Side Data Types and Macros | Next

## Name

usb_endpoint_dir_out — check if the endpoint has OUT direction

## Synopsis

`int usb_endpoint_dir_out (` | const struct usb_endpoint_descriptor * | epd`)`;

## Arguments

`epd`

  endpoint to be checked

## Description

Returns true if the endpoint is of type OUT, otherwise it returns false.

Prev | Up | Next
usb_endpoint_dir_in | Home | usb_endpoint_xfer_bulk